Bug 427373 - Review Request: dbxml-perl - Perl bindings for Oracle DB XML
Review Request: dbxml-perl - Perl bindings for Oracle DB XML
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 250093
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 10:51 EST by Milan Zazrivec
Modified: 2008-01-14 13:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 13:32:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2008-01-03 10:51:14 EST
Spec URL: http://www.fi.muni.cz/~xzazriv/dbxml-perl/dbxml-perl.spec
SRPM URL: http://www.fi.muni.cz/~xzazriv/dbxml-perl/dbxml-perl-2.003-0.fc8.src.rpm
Description:
Oracle Berkeley DB XML is an open source, embeddable XML database with
XQuery-based access to documents stored in containers and indexed based
on their content. Oracle Berkeley DB XML is built on top of Oracle Berkeley DB
and inherits its rich features and attributes. Like Oracle Berkeley DB, it runs
in process with the application with no need for human administration.
Oracle Berkeley DB XML adds a document parser, XML indexer and XQuery engine
on top of Oracle Berkeley DB to enable the fastest, most efficient
retrieval of data.
Comment 1 Milan Zazrivec 2008-01-03 10:53:07 EST
This review request resulted from discussions going on in bz #250093,
more specifically https://bugzilla.redhat.com/show_bug.cgi?id=250093#c15
Comment 2 Mamoru TASAKA 2008-01-06 09:51:25 EST
Once dbxml is imported into koji dist-f9 branch, I will try to
rebuild this package.
Comment 3 Mamoru TASAKA 2008-01-07 10:42:23 EST
Well,

* Please use "-p" option when using "cp" or "install" commands
  to keep timestamps

* Files under %_mandir are automatically marked as %doc

* What file indicates the license of this software?
Comment 4 Milan Zazrivec 2008-01-07 15:48:30 EST
(In reply to comment #3)
> * What file indicates the license of this software?

/usr/share/doc/dbxml-perl-2.003/README says:
"Copyright (c) 2003-5 Paul Marquess. All rights reserved. This
 program is free software; you can redistribute it and/or modify
 it under the same terms as Perl itself."

I'm not quite sure whether that's sufficient, but that's the only
place where the source package actually makes some statement about
the licensing :-)

Source rpm + spec file:
* http://www.fi.muni.cz/~xzazriv/dbxml-perl/dbxml-perl-2.003-1.fc8.src.rpm
* http://www.fi.muni.cz/~xzazriv/dbxml-perl/dbxml-perl.spec

dist-f9 scratch build:
* http://koji.fedoraproject.org/koji/taskinfo?taskID=331937
Comment 5 Mamoru TASAKA 2008-01-08 08:58:22 EST
(In reply to comment #4)
> (In reply to comment #3)
> > * What file indicates the license of this software?
> 
> /usr/share/doc/dbxml-perl-2.003/README says:
> "Copyright (c) 2003-5 Paul Marquess. All rights reserved. This
>  program is free software; you can redistribute it and/or modify
>  it under the same terms as Perl itself."

Oh!! I didn't notice this!

-------------------------------------------------------
   This package (dbxml-perl) is APPROVED by me
-------------------------------------------------------
Comment 6 Milan Zazrivec 2008-01-08 09:05:46 EST
New Package CVS Request
=======================
Package Name: dbxml-perl
Short Description: Perl bindings for Oracle DB XML
Owners: mzazrive
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-08 11:48:10 EST
cvs done.
Comment 8 Mamoru TASAKA 2008-01-09 09:25:51 EST
Please close this bug when rebuild and request on koji is done.
Comment 9 Mamoru TASAKA 2008-01-14 13:32:55 EST
Closing for now. Please adjust EVR between branches.

Note You need to log in before you can comment on or make changes to this bug.